# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.EmbeddedImage

Packages that use EmbeddedImage
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of EmbeddedImage in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return EmbeddedImage
Modifier and Type
Method
Description
`static EmbeddedImage`
StructureFactory.`createEmbeddedImage()`
Creates an empty embedded image structure.
`static EmbeddedImage`
StructureFactory.`createEmbeddedImage(EmbeddedImageHandle baseImage)`
Deprecated.
by `StructureFactory.newEmbeddedImageFrom(EmbeddedImageHandle, String, ModuleHandle)`
`final EmbeddedImage`
ModuleHandleImpl.`findImage(String name)`
Finds the image with the given name.
`static EmbeddedImage`
StructureFactory.`newEmbeddedImageFrom(EmbeddedImageHandle baseImage, String name, ModuleHandle targetModule)`
Creates an embedded image from another library embedded image.
`static EmbeddedImage`
StructureFactory.`newEmbeddedImageFrom(EmbeddedImageHandle baseImage, ModuleHandle targetModule)`
Creates an embedded image from another library embedded image.
Methods in org.eclipse.birt.report.model.api with parameters of type EmbeddedImage
Modifier and Type
Method
Description
`void`
ModuleHandleImpl.`addImage(EmbeddedImage image)`
Adds a new embedded image.
`final void`
ModuleHandleImpl.`rename(EmbeddedImage image)`
Checks the name of the embedded image in this report.
`void`
ModuleHandleImpl.`replaceImage(EmbeddedImage oldVar, EmbeddedImage newVar)`
Replaces the old embedded image with the new one.